# Class: IssueLinkTypeClient

## IssueLinkTypeClient

## Constructor

#### new IssueLinkTypeClient(jiraClient)

Used to access Jira REST endpoints in '/rest/api/2/issueLinkType'

##### Parameters:

Name | Type | Description
--- | --- | ---
`jiraClient` | JiraClient |

Source:
  - api/issueLinkType.js, line 7

### Methods

#### createIssueLinkType(opts, callback)

Create a new issue link type.

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

The request options sent to the Jira API

###### Properties

Name | Type | Description
--- | --- | ---
`linkType` |  | See https://docs.atlassian.com/jira/REST/latest/#d2e2018

`callback` |  | Called when the IssueLink type has been created.

Source:
  - api/issueLinkType.js, line 35

#### deleteIssueLinkType(opts, callback)

Delete the specified issue link type.

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

The request options sent to the Jira API

###### Properties

Name | Type | Description
--- | --- | ---
`issueLinkTypeId` |  | The id of the IssueLink type to delete.

`callback` |  | Called when the IssueLink type has been delete

Source:
  - api/issueLinkType.js, line 80

#### editIssueLinkType(opts, callback)

Update the specified issue link type.

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

The request options sent to the Jira API

###### Properties

Name | Type | Description
--- | --- | ---
`issueLinkTypeId` |  | The id of the IssueLink type to retrieve.
`linkType` |  | See https://docs.atlassian.com/jira/REST/latest/#d2e2071

`callback` |  | Called when the IssueLink type has been updated.

Source:
  - api/issueLinkType.js, line 104

#### getAvailableTypes(opts, callback)

Get a list of available issue link types, if issue linking is enabled. Each issue link type has an id, a name and a label for the outward and inward link relationship.

##### Parameters:

Name | Type | Description
--- | --- | ---
`opts` |  | The request options for the API. Ignored in this function.
`callback` |  | Called when the available IssueLink types are retrieved.

Source:
  - api/issueLinkType.js, line 15

#### getIssueLinkType(opts, callback)

Gets for a given issue link type id all information about this issue link type.

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

The request options sent to the Jira API

###### Properties

Name | Type | Description
--- | --- | ---
`issueLinkTypeId` |  | The id of the IssueLink type to retrieve.

`callback` |  | Called when the IssueLink type has been retrieved

Source:
  - api/issueLinkType.js, line 56